## org.apache.taglibs.standard.tag.el.xml
Class ExprTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.xml.ExprSupport
              org.apache.taglibs.standard.tag.el.xml.ExprTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class ExprTag

extends ExprSupport

A handler for <out> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.xml.ExprSupport
`escapeXml`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ExprTag()` Constructs a new handler.

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `release()` Release state.
`void` `setEscapeXml(String escapeXml_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.xml.ExprSupport
`setSelect`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExprTag

    public ExprTag()

  Constructs a new handler. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ExprSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ExprSupport`
  See Also:
    `Tag.release()`

### setEscapeXml

    public void setEscapeXml(String escapeXml_)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.